commit 4c250df3187e8b5bb1167cafc4a7a9dcc139eb02 (HEAD, tag: v1.59.0, origin/master, origin/HEAD, master)
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2024-01-21
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2024-01-21

    Update bash_completion

commit 53fa55655dbaf43a4ef4ad82f09bc27682850f93
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2024-01-21
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2024-01-21

    Update manual pages

commit a3e943138a267207db43fa015ce1d87988bfa1af
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2024-01-21
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2024-01-21

    Bump package and library versions

commit f2fd137715f7481d197eacaf05c43bc14f3ce4f9
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2024-01-21
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2024-01-21

    Update AUTHORS

commit 830b3b10b0c4b86f01aec8d7222d73f84c9a98e0
Merge: caaa3fa2 c5ac2f22
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2024-01-21
Commit:     GitHub <noreply@github.com>
CommitDate: 2024-01-21

    Merge pull request #2042 from nghttp2/src-avoid-copy
    
    src: Avoid copies

commit c5ac2f221d35eaede16e97f0951a8fd883859da8
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2024-01-21
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2024-01-21

    src: Avoid copies

commit caaa3fa2933d94b1910ecfcc9687316e1323a2a0
Merge: dd2b3c3f 1a8456e8
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2024-01-21
Commit:     GitHub <noreply@github.com>
CommitDate: 2024-01-21

    Merge pull request #2041 from nghttp2/bump-ngtcp2
    
    Bump ngtcp2 to v1.2.0

commit 1a8456e8ff7120953744513f78fb075ce064d3ce
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2024-01-21
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2024-01-21

    Bump ngtcp2 to v1.2.0

commit dd2b3c3f26900e30d16ba9c42a513448b81ffd1b
Merge: 0509a14c 4af5fc04
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2024-01-21
Commit:     GitHub <noreply@github.com>
CommitDate: 2024-01-21

    Merge pull request #2040 from nghttp2/bump-go-nghttp2
    
    Bump go-nghttp2 and go mod tidy

commit 4af5fc041a2acd540106094edc6f66ce3ef6b80a
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2024-01-21
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2024-01-21

    Bump go-nghttp2 and go mod tidy

commit 0509a14c0f9d7845a489fe5ce638e6b622514e74
Merge: 3982bde3 c9c188ce
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2024-01-21
Commit:     GitHub <noreply@github.com>
CommitDate: 2024-01-21

    Merge pull request #2039 from nghttp2/bump-neverbleed
    
    Bump neverbleed

commit c9c188cecab35d5b8ddc2e651795ce0984db1dbc
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2024-01-21
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2024-01-21

    Bump neverbleed

commit 3982bde36069200138b9100607a058ecd2446a77
Merge: d4f07f20 aca43d87
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2024-01-21
Commit:     GitHub <noreply@github.com>
CommitDate: 2024-01-21

    Merge pull request #2038 from nghttp2/bump-gomod
    
    Bump go modules

commit aca43d8726e841a5b6ee803bb09e3629d16a1dbf
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2024-01-21
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2024-01-21

    Bump go modules

commit d4f07f2096df2733b78a00f2be75bd446d39f40c
Merge: 6d94f9ee a193fb96
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2024-01-21
Commit:     GitHub <noreply@github.com>
CommitDate: 2024-01-21

    Merge pull request #2037 from nghttp2/ci-add-aws-lc-build
    
    ci: Add aws-lc builds

commit a193fb96b892d27d7a88ee67ddb151506b713c6f
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2024-01-21
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2024-01-21

    ci: Add aws-lc builds

commit 6d94f9ee168aed80f56fc655300cac58fcac0b1f
Merge: 48168eac da35daab
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2024-01-18
Commit:     GitHub <noreply@github.com>
CommitDate: 2024-01-18

    Merge pull request #2036 from nghttp2/revert-nghttpx-h3-reset-stream
    
    Revert "nghttpx: Shutdown h3 stream write if reset by a remote endpoint"

commit da35daab51db0a559ac920bdd9cf76013c84be68
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2024-01-18
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2024-01-18

    Revert "nghttpx: Shutdown h3 stream write if reset by a remote endpoint"
    
    This reverts commit e103726f4d39a6cbcd29381f10fb837a1361b3a5.

commit 48168eacdb7815375747cd01b886d65a5c4e0931
Merge: 3a173dcc a27d535f
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2024-01-15
Commit:     GitHub <noreply@github.com>
CommitDate: 2024-01-15

    Merge pull request #2034 from nghttp2/add-debian-frontend
    
    Specify DEBIAN_FRONTEND=noninteractive

commit a27d535f4752aa40e63e6568bdc50b092e7774d9
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2024-01-15
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2024-01-15

    Specify DEBIAN_FRONTEND=noninteractive

commit 3a173dcc1fa647bf4c6239892da1b1e3ad151317
Merge: 6bdeed14 619dd15e
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2024-01-15
Commit:     GitHub <noreply@github.com>
CommitDate: 2024-01-15

    Merge pull request #2033 from nghttp2/fix-typo
    
    Fix typo

commit 619dd15e9aad2a6ce420b2b0a0df9cc9f402e964
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2024-01-15
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2024-01-15

    Fix typo

commit 6bdeed14fda0706ccc056a0135316d46475af5d7
Merge: 278b2cd0 683c1ab1
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2024-01-11
Commit:     GitHub <noreply@github.com>
CommitDate: 2024-01-11

    Merge pull request #2032 from nghttp2/dependabot/go_modules/github.com/quic-go/quic-go-0.37.7
    
    build(deps): bump github.com/quic-go/quic-go from 0.35.1 to 0.37.7

commit 683c1ab16d5299c65b1ad948d7d62b3a7d35f68e
Author:     dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
AuthorDate: 2024-01-10
Commit:     GitHub <noreply@github.com>
CommitDate: 2024-01-10

    build(deps): bump github.com/quic-go/quic-go from 0.35.1 to 0.37.7
    
    Bumps [github.com/quic-go/quic-go](https://github.com/quic-go/quic-go) from 0.35.1 to 0.37.7.
    - [Release notes](https://github.com/quic-go/quic-go/releases)
    - [Changelog](https://github.com/quic-go/quic-go/blob/master/Changelog.md)
    - [Commits](https://github.com/quic-go/quic-go/compare/v0.35.1...v0.37.7)
    
    ---
    updated-dependencies:
    - dependency-name: github.com/quic-go/quic-go
      dependency-type: direct:production
    ...
    
    Signed-off-by: dependabot[bot] <support@github.com>

commit 278b2cd0040b8280e6c3ee72010691a5e370941c
Merge: 837f0c67 e2b2a5a8
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2024-01-09
Commit:     GitHub <noreply@github.com>
CommitDate: 2024-01-09

    Merge pull request #2030 from anthonyalayo/anthonyalayo-patch-cmake-3.5
    
    Update minimum CMake version to 3.5

commit e2b2a5a8d6701f60801f23ef64bd458df59bab5d
Author:     Anthony Alayo <anthony.alayo@gmail.com>
AuthorDate: 2024-01-07
Commit:     GitHub <noreply@github.com>
CommitDate: 2024-01-07

    Update minimum CMake version to 3.5

commit 837f0c67c7139aedfb0c31d252634c823bfa75ba
Merge: fe1b963d d002e963
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2024-01-03
Commit:     GitHub <noreply@github.com>
CommitDate: 2024-01-03

    Merge pull request #1996 from hrxi/pr_less_config
    
    Have less stuff in config.h

commit fe1b963d387dc73a6c9219d7e2dbedee9e7350e9
Merge: 4998cfcf 3bce84c0
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2024-01-03
Commit:     GitHub <noreply@github.com>
CommitDate: 2024-01-03

    Merge pull request #2027 from anthonyalayo/anthonyalayo-patch-1
    
    Not finding packages when `ENABLE_LIB_ONLY` is set

commit 3bce84c0a026005197d4fc1c3e99a8d7e26a14d8
Author:     Anthony Alayo <anthony.alayo@gmail.com>
AuthorDate: 2024-01-02
Commit:     GitHub <noreply@github.com>
CommitDate: 2024-01-02

    Not finding packages when `ENABLE_LIB_ONLY` is set

commit d002e9631cedc9fe8e4e810908eeaa939f2eed3e
Author:     hrxi <hrrrxi@gmail.com>
AuthorDate: 2023-11-07
Commit:     hrxi <hrrrxi@gmail.com>
CommitDate: 2023-12-29

    Don't get type sizes at configure time
    
    This should speed up configuring minimally.

commit 1348b850bcced924da2708896d34cee0959cc610
Author:     hrxi <hrrrxi@gmail.com>
AuthorDate: 2023-11-07
Commit:     hrxi <hrrrxi@gmail.com>
CommitDate: 2023-12-29

    `<time.h>` is a standard header, don't check for it

commit 4998cfcf29fa1bec699392b308e5e3aa47f3115d
Merge: 49d36209 04a14ee3
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2023-12-28
Commit:     GitHub <noreply@github.com>
CommitDate: 2023-12-28

    Merge pull request #2026 from nghttp2/h2load-header-ttfb-fix
    
    H2load header ttfb fix

commit 49d36209bf62d512d346e1a75b86b16dc24aa358
Merge: 05b63f61 d537e16a
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2023-12-28
Commit:     GitHub <noreply@github.com>
CommitDate: 2023-12-28

    Merge pull request #2025 from nghttp2/remove-trailing-whitespace
    
    nghttpx: Remove a trailing whitespace

commit d537e16a47b8799e7f82658f089c0f8c2a03d61f
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2023-12-28
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2023-12-28

    nghttpx: Remove a trailing whitespace

commit 04a14ee3e2793fffa48c4522412b649a739e41f5
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2023-12-27
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2023-12-27

    h2load: Fix bug that ttfb is not recorded if h3 stream has no data

commit 7209bff09192789ed3a5775b765e8225f8402a54
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2023-12-27
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2023-12-27

    h2load: Consider all h2 HEADERS when counting bytes and recording ttfb

commit 05b63f6126b4bc178500021222382b5d958bd9d8
Merge: ad199fe4 20058af7
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2023-12-27
Commit:     GitHub <noreply@github.com>
CommitDate: 2023-12-27

    Merge pull request #2024 from nghttp2/app-fix
    
    App fix

commit 20058af7aefee5469616afb7d4490dab4d7f19dc
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2023-12-27
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2023-12-27

    h2load: Ignore 1xx status code

commit 9ae86f61980a42cc9fc4e517140459f8cd9ecfcc
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2023-12-27
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2023-12-27

    nghttpd: Free SSL_CTX on exit

commit ad199fe46d5e1f7a6231852cb641a6a54367a7b8
Merge: 1544abac e6713e85
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2023-12-27
Commit:     GitHub <noreply@github.com>
CommitDate: 2023-12-27

    Merge pull request #2023 from nghttp2/nghttpx-set-recv-max-early-data
    
    nghttpx: OpenSSL needs SSL_CTX_set_recv_max_early_data

commit e6713e850e88bf50917913e178441cada026a6de
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2023-12-27
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2023-12-27

    nghttpx: OpenSSL needs SSL_CTX_set_recv_max_early_data
    
    OpenSSL needs SSL_CTX_set_recv_max_early_data as well as
    SSL_CTX_set_max_early_data to properly set acceptable max early data
    size.

commit 1544abac7a99712c1d9239b3325fd79407418cad
Merge: 5ba03f63 87b3e5ab
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2023-12-25
Commit:     GitHub <noreply@github.com>
CommitDate: 2023-12-25

    Merge pull request #2022 from nghttp2/cmake-require-openssl111
    
    cmake: Require OpenSSL >= 1.1.1

commit 87b3e5abec71c4ea7f114a6825a16f486b50ff3e
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2023-12-25
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2023-12-25

    cmake: Require OpenSSL >= 1.1.1

commit 5ba03f63c6f2b75a7fe43c155c1a008b4460ae3e
Merge: 684397a6 361e5d30
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2023-12-24
Commit:     GitHub <noreply@github.com>
CommitDate: 2023-12-24

    Merge pull request #2021 from nghttp2/remove-end-to-end-py
    
    Remove end_to_end.py

commit 684397a6758d2c2a10cb21bb6cd41f59fc56a81c
Merge: 69e15e83 c306390c
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2023-12-24
Commit:     GitHub <noreply@github.com>
CommitDate: 2023-12-24

    Merge pull request #2020 from nghttp2/remove-npn
    
    Remove NPN

commit 361e5d3066182931f67fe18a7d229c70fd8bd72a
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2023-12-24
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2023-12-24

    Remove end_to_end.py

commit c306390c937403543180284add174852aa0be940
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2023-12-24
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2023-12-24

    Add nghttp2_select_alpn and deprecate nghttp2_select_next_protocol

commit 66364abf7381c7f48d67708dc4538958ee001894
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2023-12-24
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2023-12-24

    nghttpx: Add --alpn-list and deprecate --npn-list

commit 5d68d1dc7adbbbbe1dd9e56e23cecb735772bea8
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2023-12-24
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2023-12-24

    h2load: Add --alpn-list and deprecate --npn-list

commit 6c01530ff308a7f7612123bf9c660d5febaefdc8
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2023-12-23
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2023-12-24

    Remove NPN

commit 69e15e837121f09b8e0bbd823b41c9ad1dce7c18
Merge: 51e9d0c0 41857be9
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2023-12-24
Commit:     GitHub <noreply@github.com>
CommitDate: 2023-12-24

    Merge pull request #2019 from nghttp2/drop-old-openssl-part2
    
    Drop old OpenSSL support part 2

commit 41857be9376e8d495e595f8ebe13e498ccd19d66
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2023-12-23
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2023-12-23

    Drop old OpenSSL support part 2
    
    All OpenSSLs that we support have ALPN and SSL_get_server_tmp_key.

commit 51e9d0c08fd7822dc1699ff64e7015f8546ef02b
Merge: 35d76d22 841d602f
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2023-12-23
Commit:     GitHub <noreply@github.com>
CommitDate: 2023-12-23

    Merge pull request #2017 from nghttp2/drop-old-openssl
    
    Drop old OpenSSL support

commit 841d602fc8e5fe5f7401d0d88321d987be2de521
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2023-12-20
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2023-12-23

    Drop old OpenSSL support
    
    Drop old OpenSSL support and require OpenSSL >= 1.1.1.  For Libressl,
    the reasonably recent versions are required.

commit 35d76d2278b4df1860e3d7c508f045333d67861a
Merge: db800f73 add1bcd1
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2023-12-19
Commit:     GitHub <noreply@github.com>
CommitDate: 2023-12-19

    Merge pull request #2016 from nghttp2/boringssl-set-groups-list
    
    boringssl has SSL_CTX_set1_groups_list

commit add1bcd1dcc595d29fe203c5bfbd74e58d49ae70
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2023-12-19
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2023-12-19

    boringssl has SSL_CTX_set1_groups_list

commit db800f73f198838e43246b4492e069bba65a07bb
Merge: 39d093fc 9354d4a8
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2023-12-19
Commit:     GitHub <noreply@github.com>
CommitDate: 2023-12-19

    Merge pull request #2013 from nghttp2/support-aws-lc
    
    src: Support building with aws-lc

commit 39d093fc454716dddfa9def7e9f614b81c6f997e
Merge: a30fb991 25898e42
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2023-12-19
Commit:     GitHub <noreply@github.com>
CommitDate: 2023-12-19

    Merge pull request #2014 from nghttp2/dependabot/github_actions/actions/upload-artifact-4
    
    build(deps): bump actions/upload-artifact from 3 to 4

commit a30fb9917efba4201f334da67e511c297d551584
Merge: 2bbbbe20 4065f980
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2023-12-19
Commit:     GitHub <noreply@github.com>
CommitDate: 2023-12-19

    Merge pull request #2015 from nghttp2/dependabot/go_modules/golang.org/x/crypto-0.17.0
    
    build(deps): bump golang.org/x/crypto from 0.15.0 to 0.17.0

commit 4065f9801d5edac2bdba55b071ab12046efc7eba
Author:     dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
AuthorDate: 2023-12-18
Commit:     GitHub <noreply@github.com>
CommitDate: 2023-12-18

    build(deps): bump golang.org/x/crypto from 0.15.0 to 0.17.0
    
    Bumps [golang.org/x/crypto](https://github.com/golang/crypto) from 0.15.0 to 0.17.0.
    - [Commits](https://github.com/golang/crypto/compare/v0.15.0...v0.17.0)
    
    ---
    updated-dependencies:
    - dependency-name: golang.org/x/crypto
      dependency-type: indirect
    ...
    
    Signed-off-by: dependabot[bot] <support@github.com>

commit 25898e421626048e886f9c165414365812f49761
Author:     dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
AuthorDate: 2023-12-18
Commit:     GitHub <noreply@github.com>
CommitDate: 2023-12-18

    build(deps): bump actions/upload-artifact from 3 to 4
    
    Bumps [actions/upload-artifact](https://github.com/actions/upload-artifact) from 3 to 4.
    - [Release notes](https://github.com/actions/upload-artifact/releases)
    - [Commits](https://github.com/actions/upload-artifact/compare/v3...v4)
    
    ---
    updated-dependencies:
    - dependency-name: actions/upload-artifact
      dependency-type: direct:production
      update-type: version-update:semver-major
    ...
    
    Signed-off-by: dependabot[bot] <support@github.com>

commit 9354d4a84f5e69a310c7114f07a688b8a23471e2
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2023-12-18
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2023-12-18

    src: Support building with aws-lc

commit 2bbbbe207ef139ff40e2081c1a080e207f47dbd9
Merge: 4bfb33bd 826a2a7b
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2023-12-16
Commit:     GitHub <noreply@github.com>
CommitDate: 2023-12-16

    Merge pull request #2012 from nghttp2/do-not-detect-openssl3.2-as-quictls
    
    Avoid detecting OpenSSL 3.2 as quictls

commit 826a2a7b636c154ff8743d10422ea41a36d610d1
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2023-12-16
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2023-12-16

    Avoid detecting OpenSSL 3.2 as quictls
    
    Previously, SSL_is_quic is used to detect quictls.  But OpenSSL 3.2
    has added it as a part of its own QUIC implementation which breaks our
    script.  Use SSL_provide_quic_data to correctly identify quictls and
    avoid OpenSSL 3.2.

commit 4bfb33bdb4a7ea4567de09117a2233c72c9a0cad
Merge: 09936f47 1b70b8ca
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2023-12-16
Commit:     GitHub <noreply@github.com>
CommitDate: 2023-12-16

    Merge pull request #2011 from bwncp/static-msvc
    
    cmake: bring back ENABLE_STATIC_CRT

commit 1b70b8ca3a9ddd1c6b0b239ef066d5b4cae5bddb
Author:     Bernhard Walle <bernhard.walle@ncp-e.com>
AuthorDate: 2023-12-14
Commit:     Bernhard Walle <bernhard.walle@ncp-e.com>
CommitDate: 2023-12-14

    cmake: bring back ENABLE_STATIC_CRT
    
    While `ENABLE_STATIC_CRT` is still present in CMakeOptions.txt, it has
    been removed by 81c199dd. I think this was by accident.
    
    Add it again, otherwise our Windows builds will fail.

commit 09936f47a0ce970117394b51af9f7574d1d85e00
Merge: 8b26ad55 ed9a438b
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2023-12-14
Commit:     GitHub <noreply@github.com>
CommitDate: 2023-12-14

    Merge pull request #2010 from nghttp2/dependabot/github_actions/actions/setup-go-5
    
    build(deps): bump actions/setup-go from 4 to 5

commit ed9a438b62e7f4db1237c183b5c9bd16c4728256
Author:     dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
AuthorDate: 2023-12-11
Commit:     GitHub <noreply@github.com>
CommitDate: 2023-12-11

    build(deps): bump actions/setup-go from 4 to 5
    
    Bumps [actions/setup-go](https://github.com/actions/setup-go) from 4 to 5.
    - [Release notes](https://github.com/actions/setup-go/releases)
    - [Commits](https://github.com/actions/setup-go/compare/v4...v5)
    
    ---
    updated-dependencies:
    - dependency-name: actions/setup-go
      dependency-type: direct:production
      update-type: version-update:semver-major
    ...
    
    Signed-off-by: dependabot[bot] <support@github.com>

commit 8b26ad55c3dddf3f744de601f304209ba17ee827
Merge: 9d030c16 7945e4d3
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2023-12-09
Commit:     GitHub <noreply@github.com>
CommitDate: 2023-12-09

    Merge pull request #1997 from hrxi/pr_windows_h
    
    Use `#include <windows.h>` instead of `#include <sysinfoapi.h>`

commit 7945e4d398a01bbaf9820e6c7f339fe1fac1e704
Author:     hrxi <hrrrxi@gmail.com>
AuthorDate: 2023-12-04
Commit:     hrxi <hrrrxi@gmail.com>
CommitDate: 2023-12-06

    Use `#include <windows.h>` instead of `#include <sysinfoapi.h>`
    
    This is the recommended way of including Windows headers:
    
    https://learn.microsoft.com/en-us/windows/win32/api/sysinfoapi/nf-sysinfoapi-gettickcount64
    
    > Header: sysinfoapi.h (include Windows.h)

commit 9d030c16fa37e5bb5ea0619c6e7a3d5e409181de
Merge: 6cf162b4 147544bb
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2023-11-26
Commit:     GitHub <noreply@github.com>
CommitDate: 2023-11-26

    Merge pull request #2009 from nghttp2/cmake-quic-pkg-vers
    
    cmake: Set minimum quic package versions

commit 147544bbaa68ab1e6547539a4074ee0c83964560
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2023-11-26
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2023-11-26

    cmake: Set minimum quic package versions

commit 6cf162b42d905a9bfbd318f2371c997871f0d8e5
Merge: 21d6bee5 15a95626
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2023-11-26
Commit:     GitHub <noreply@github.com>
CommitDate: 2023-11-26

    Merge pull request #2008 from nghttp2/http3-resp-pri
    
    Use nghttp3_pri_parse_priority added since nghttp3 v1.1.0

commit 15a9562697b99547b45acd1f7f13a846ce345778
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2023-11-26
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2023-11-26

    Use nghttp3_pri_parse_priority added since nghttp3 v1.1.0

commit 21d6bee5aa992122b0d0709449028867f7610127
Merge: d5e9b2ef 90f765f5
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2023-11-26
Commit:     GitHub <noreply@github.com>
CommitDate: 2023-11-26

    Merge pull request #2007 from nghttp2/bump-libbpf
    
    Bump libbpf to v1.3.0

commit 90f765f516a7ad3a255a5b9ff36a171b154a33f1
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2023-11-26
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2023-11-26

    Bump libbpf to v1.3.0

commit d5e9b2efefc3590380ecae7b9e02e8f9c87628b1
Merge: ba812776 5e81e58f
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2023-11-26
Commit:     GitHub <noreply@github.com>
CommitDate: 2023-11-26

    Merge pull request #2006 from nghttp2/bump-ngtcp2
    
    Bump ngtcp2 and nghttp3

commit 5e81e58f3f65a898d41272ccae9abc45d11ebe11
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2023-11-26
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2023-11-26

    Bump ngtcp2 and nghttp3

commit ba81277614efce7b5b4a1fbd927eb0cc7272751c
Merge: 9fb3cffe 124e654a
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2023-11-22
Commit:     GitHub <noreply@github.com>
CommitDate: 2023-11-22

    Merge pull request #2000 from nghttp2/h2load-fix-ipv6-authority
    
    h2load: Fix IPv6 address in :authority

commit 124e654af40059a34ad6920e8c6a328070ec6082
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2023-11-22
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2023-11-22

    h2load: Fix IPv6 address in :authority

commit 9fb3cffefef4406ad019f2f8a47977b5ee973de9
Merge: c7c8b504 f4bdc2a2
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2023-11-22
Commit:     GitHub <noreply@github.com>
CommitDate: 2023-11-22

    Merge pull request #2002 from nghttp2/cmake-remove-itprep
    
    cmake: Remove itprep target

commit f4bdc2a23d721d6dc138bf58f20a7f65d8a92210
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2023-11-22
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2023-11-22

    cmake: Remove itprep target

commit c7c8b504433f27a7ee9e76b7294ce08dc47815d5
Merge: d07a3d2a 86d12faf
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2023-11-22
Commit:     GitHub <noreply@github.com>
CommitDate: 2023-11-22

    Merge pull request #2001 from nghttp2/bump-go-pkgs
    
    Bump go packages

commit 86d12faf4df8274b46c85398f13f318d53f58acf
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2023-11-22
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2023-11-22

    Bump go packages

commit d07a3d2a24688fe125cdc5beda72361394dab9e1
Merge: 4c0d4f76 5d2b7596
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2023-11-06
Commit:     GitHub <noreply@github.com>
CommitDate: 2023-11-06

    Merge pull request #1995 from nghttp2/check-clock-monotonic
    
    Check whether CLOCK_MONOTONIC is declared

commit 5d2b75964f900e2434713f717a5f3c96ae9beda9
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2023-11-06
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2023-11-06

    Check whether CLOCK_MONOTONIC is declared

commit 4c0d4f769f63de5f5c74d54d3403e6782a68d6c8
Merge: 9b0114e4 ebd2555f
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2023-11-05
Commit:     GitHub <noreply@github.com>
CommitDate: 2023-11-05

    Merge pull request #1992 from nghttp2/nghttpx-propagate-backend-priority-to-frontend
    
    nghttpx: Propagate stream priority from backend to frontend

commit ebd2555fcc552582d1f398501b65ae5cf398f89b
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2023-11-05
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2023-11-05

    nghttpx: Propagate stream priority from backend to frontend

commit 9b0114e4c98c3ee03b07383bb2baabb0eac7e08a
Merge: ce6b91e4 eaedf85f
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2023-11-05
Commit:     GitHub <noreply@github.com>
CommitDate: 2023-11-05

    Merge pull request #1991 from nghttp2/get-and-parse-extpri
    
    Add API to get and parse RFC 9218 priority

commit eaedf85f3e4417b18d5d352df2a27c28f011930d
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2023-11-05
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2023-11-05

    Add API to get and parse RFC 9218 priority

commit ce6b91e4deab1e50232ade8ed2e9d0f4e9d7e82e
Merge: ef947bd3 6b54081d
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2023-11-03
Commit:     GitHub <noreply@github.com>
CommitDate: 2023-11-03

    Merge pull request #1990 from nghttp2/prefer-file-name-macro
    
    nghttpx: Prefer __FILE_NAME__ if defined

commit 6b54081dc6492b1a8c90c3b1d2ea7e5ca30186e1
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2023-11-03
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2023-11-03

    nghttpx: Prefer __FILE_NAME__ if defined

commit ef947bd33949da313c98bc42e086b089382f80e9
Merge: 88464183 ccd6ac45
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2023-11-02
Commit:     GitHub <noreply@github.com>
CommitDate: 2023-11-02

    Merge pull request #1989 from nghttp2/update-AX_CXX_COMPILE_STDCXX
    
    Update ax_cxx_compile_stdcxx.m4

commit ccd6ac458f9818bfb9604888782487d0ceb50bb5
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2023-11-02
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2023-11-02

    Update ax_cxx_compile_stdcxx.m4

commit 884641836b1dcb7aee46c5266ac043a2707773fc
Merge: bd9d408f c7dd6801
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2023-10-29
Commit:     GitHub <noreply@github.com>
CommitDate: 2023-10-29

    Merge pull request #1988 from nghttp2/bump-quictls
    
    Bump quictls to 3.1.4+quic

commit bd9d408f538d15e63984a47e5fbbca8553cd11a0
Merge: 78d85a45 42579964
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2023-10-29
Commit:     GitHub <noreply@github.com>
CommitDate: 2023-10-29

    Merge pull request #1987 from nghttp2/bump-clang-format
    
    Bump clang format

commit c7dd68015c8d527de49bdfaf623d7da45bbb664f
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2023-10-29
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2023-10-29

    Bump quictls to 3.1.4+quic

commit 42579964b9c85e669b470b210217145059867305
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2023-10-29
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2023-10-29

    clang-format

commit 241379ef2be8036412b69d4a1e0599c735be6679
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2023-10-29
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2023-10-29

    Bump clang-format to 15

commit 78d85a459c9d3270e9d283dde18dd2c6f72da97d
Merge: 2643b6b0 ddbf49bc
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2023-10-29
Commit:     GitHub <noreply@github.com>
CommitDate: 2023-10-29

    Merge pull request #1986 from nghttp2/bump-clang
    
    Bump clang to 15

commit ddbf49bc7e69beda84a05f1784e82d50435af8d7
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2023-10-29
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2023-10-29

    Bump clang to 15

commit 2643b6b0c06683d300f2b48fbf69918e89546da5
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2023-10-27
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2023-10-27

    Bump package version
